Astrocal
API ReferenceApi keysV1Api keys

List API keys

Lists all API keys for the authenticated organization. Full keys are never shown — only the prefix for identification.

GET
/v1/api-keys

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/api-keys"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "key_prefix": "string",
      "mode": "live",
      "last_used_at": "string",
      "expires_at": "string",
      "revoked_at": "string",
      "created_at": "string"
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}